package com.xinelu.manage.service.basedruginfo;

import com.xinelu.manage.domain.basedruginfo.BaseDrugInfo;

import java.util.List;

/**
 * 药品库Service接口
 *
 * @author xinelu
 * @date 2024-05-17
 */
public interface IBaseDrugInfoService {
    /**
     * 查询药品库
     *
     * @param id 药品库主键
     * @return 药品库
     */
    BaseDrugInfo selectBaseDrugInfoById(Long id);

    /**
     * 查询药品库列表
     *
     * @param baseDrugInfo 药品库
     * @return 药品库集合
     */
    List<BaseDrugInfo> selectBaseDrugInfoList(BaseDrugInfo baseDrugInfo);

    /**
     * 新增药品库
     *
     * @param baseDrugInfo 药品库
     * @return 结果
     */
    int insertBaseDrugInfo(BaseDrugInfo baseDrugInfo);

    /**
     * 修改药品库
     *
     * @param baseDrugInfo 药品库
     * @return 结果
     */
    int updateBaseDrugInfo(BaseDrugInfo baseDrugInfo);

    /**
     * 批量删除药品库
     *
     * @param ids 需要删除的药品库主键集合
     * @return 结果
     */
    int deleteBaseDrugInfoByIds(Long[] ids);

    /**
     * 删除药品库信息
     *
     * @param id 药品库主键
     * @return 结果
     */
    int deleteBaseDrugInfoById(Long id);
}
